services:
  uptime-kuma:
    hostname: uptime-kuma
    environment:
      # RUNTIPI Environment      
      RUNTIPI_APP_PORT: "${APP_PORT}"
      RUNTIPI_APP_ID: "${APP_ID}"
      RUNTIPI_APP_DATA_DIR: "${APP_DATA_DIR}"
      RUNTIPI_APP_EXPOSED: "${APP_EXPOSED}"
      RUNTIPI_APP_DOMAIN: "${APP_DOMAIN}"
      RUNTIPI_APP_HOST: "${APP_HOST}"
    # labels:
    # # Websecure
    #   traefik.http.routers.uptime-kuma-more.rule: Host(`vault.lksz.me`)${APP_ROUTE_OPTIONAL:-}
    #   traefik.http.routers.uptime-kuma-more.entrypoints: websecure
    #   traefik.http.routers.uptime-kuma-more.service: uptime-kuma
    #   traefik.http.routers.uptime-kuma-more.tls: true
    #   traefik.http.routers.uptime-kuma-more.tls.certresolver: myresolver
